Topic
  • 1 reply
  • Latest Post - ‏2011-06-10T16:27:38Z by SystemAdmin
SystemAdmin
SystemAdmin
102 Posts

Pinned topic Using migration rule set within Rational Software Analyzer

‏2011-06-10T12:10:32Z |
I have been having a look at the Application Migration Tool for WebSphere Version Migration version 3.0.0 and was hoping to be able to export the 'WebSphere Application Server Version 6.0 to 7.0 migration' rule set to be used within IBM Rational Software Analyzer Enterprise Edition Version 7.1.0. It would seem to me that this won't work since the Applicaton Migration Tool is supported on Eclipse 3.6 wereas Rational Software Analyzer is supported on Eclipse 3.4. Am I correct to say that I'll have to wait for a later version of Rational Software Analyzer which is supported on Eclipse 3.6 to be able to make use of the WebSphere Application Server migration rule set?
Updated on 2011-06-10T16:27:38Z at 2011-06-10T16:27:38Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    102 Posts

    Re: Using migration rule set within Rational Software Analyzer

    ‏2011-06-10T16:27:38Z  
    In order to run Application Migration Tool rules, the Application Migration Tool must be installed into your IDE. The Application Migration Tool for WebSphere Version Migration versions 2.1.0 & 3.0.0 will install and run in IBM Rational Software Analyzer Enterprise Edition Version 7.1.0. Be sure and install the prerequisites from the Ganymede Update Site,
    http://download.eclipse.org/releases/ganymede.

    The prerequisites below are found in WEB and Java EE Development.
    Java EE Developer Tools
    Web Developer Tools

    As far as exporting the 'WebSphere Application Server Version 6.0 to 7.0 migration' rule set is concerned, exporting a migration toolkit rule set only creates a list of rules which could be imported into some other IDE where an Application Migration Tool is installed.